Dallas Semiconductor 1-Wire API 1.00 Alpha: Class JiBCardServiceFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.jib.service
Class JiBCardServiceFactory

    java.lang.Object
      |
      +--opencard.core.service.CardServiceFactory
            |
            +--com.dalsemi.onewire.jib.service.JiBCardServiceFactory

public class JiBCardServiceFactory
extends opencard.core.service.CardServiceFactory

A `JiBCardServiceFactory` can instantiate `CardService`s for the Java Powered iButton.

A `CardServiceFactory` in OpenCard provides a device-independent means of accessing 'services' on a card. Services might include a means of selecting or deleting applets from a JavaCard device such as the Java Powered iButton.

A `CardServiceFactory` must be 'registered' in order to be used. One way to do this is through the `java.lang.System` property methods...

`

         System.getProperties().put("OpenCard.services",
               "com.dalsemi.onewire.jib.service.JiBCardServiceFactory");

`

See Also:
  `JiBAppletAccessCardService`, `JiBAppletManagerCardService`

Constructor Summary
`JiBCardServiceFactory()`

Method Summary
`opencard.core.service.CardType` | `getCardType(opencard.core.terminal.CardID cardid, opencard.core.service.CardServiceScheduler scheduler)` Indicate whether this `CardServiceFactory` "knows" the smart card OS and/or installed card applications and might be able to instantiate `CardService`s for it.
`Enumeration` | `getClasses(opencard.core.service.CardType cardtype)` Return an enumeration of known `CardService` classes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JiBCardServiceFactory

    public JiBCardServiceFactory()

Method Detail

### getClasses

    public Enumeration getClasses(opencard.core.service.CardType cardtype)

  Return an enumeration of known `CardService` classes.
  Parameters:
    `type` - The `CardType` of the smart card for which the enumeration is requested.
  Returns:
    An `Enumeration` of class objects.

### getCardType

    public opencard.core.service.CardType getCardType(opencard.core.terminal.CardID cardid,
                                                      opencard.core.service.CardServiceScheduler scheduler)

  Indicate whether this `CardServiceFactory` "knows" the smart card OS and/or installed card applications and might be able to instantiate `CardService`s for it.
  Parameters:
    `cid` - A `CardID` received from a `Slot`.
    `scheduler` - A `CardServiceScheduler` that can be used to communicate with the card to determine its type.
  Returns:
    A valid CardType if the factory can instantiate services for this card. CardType.UNSUPPORTED if the factory does not know the card.
  See Also:
    `getClasses(opencard.core.service.CardType)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD